View Issue Details

IDProjectCategoryView StatusLast Update
0018235MediaMonkey 5Help / Docs / Localizationpublic2021-09-24 15:48
Reporterpeke Assigned To 
PriorityurgentSeveritymajorReproducibilityalways
Status resolvedResolutionreopened 
Target Version5.0.2Fixed in Version5.0.2 
Summary0018235: Help: F1 do not point to correct help page in File Listing
DescriptionF1 do not point to correct help page in File Listing and points to https://www.mediamonkey.com/wiki/index.php/WebHelp:Content/5.0

1. Navigate to to specific Artist/Album/Genre/year/... page
2. click anywhere on Main panel
3. Press F1
4. Browser is opened on https://www.mediamonkey.com/wiki/index.php/WebHelp:Content/5.0

Expected to open on https://www.mediamonkey.com/wiki/index.php/WebHelp:Filelisting/5.0 like when Music -> All tracks Tree node is selected and you press F1
TagsNo tags attached.
Fixed in build2506

Relationships

related to 0018234 newlowlander File Listing: Info Panel and how to change info to alternative search result missing help 

Activities

Ludek

2021-08-31 14:23

developer   ~0064435

Fixed in 5.0.2.2501

lowlander

2021-09-10 23:25

developer   ~0064540

When the Column Browser and the Info Panel are active it still loads Content instead of Filelisting

lowlander

2021-09-11 16:07

developer   ~0064547

When in Filter panel F1 takes you to https://www.mediamonkey.com/wiki/index.php/WebHelp:Search/5.0 instead of https://www.mediamonkey.com/wiki/WebHelp:Filelisting/5.0#Filtering_the_Filelisting

Ludek

2021-09-13 20:12

developer   ~0064593

Fixed for 'Column filter' in 2502

As for the "funel" filter: As the UI was unified with advanced search then it is probably better to leave it as "Search" ? Especialy once we add documentation also for advanced searching.

lowlander

2021-09-13 23:00

developer   ~0064595

On 2502:
1) Fixed for Column Browser
2) Not fixed for Info Panel
3) Confused about Advanced Search and Filter been seen as the same. Although they use a similar setup, one Filters the node selected, whereas the other works as a Search in the Library. This is why the documentation is separate.
Filters: https://www.mediamonkey.com/wiki/WebHelp:Filelisting/5.0#Filtering_the_Filelisting
Search: https://www.mediamonkey.com/wiki/WebHelp:Search/5.0#Advanced_Search

Ludek

2021-09-15 11:01

developer   ~0064642

3) is fixed in 2503

2) assigned to Michal to look into it. Not sure why it does not go to Filelisting even if I specified it both in the data-help attribute and helpContext property for the artist header.

michal

2021-09-16 09:05

developer   ~0064662

Last edited: 2021-09-16 09:05

View 2 revisions

Fixed in 2503 for controls in browser views.

peke

2021-09-17 23:17

developer   ~0064738

Verified 2503

No new places are found. Close after second verification.

lowlander

2021-09-21 15:09

developer   ~0064777

2) Fixed on 2503

3) Partially fixed on 2503. If the Filter is enabled and you click in panel right of + it won't work. If you select All drop-down it does.
1 Enable Filter
2 Click left of + (to add Criteria
3 F1
--> Goes to Content instead of https://www.mediamonkey.com/wiki/index.php/WebHelp:Filelisting/5.0#Filtering_the_Filelisting
4 Click All drop-down
5 F1
--> Goes to https://www.mediamonkey.com/wiki/index.php/WebHelp:Filelisting/5.0#Filtering_the_Filelisting
6 Click left of + (to add Criteria
7 F1
--> Goes to Content instead of https://www.mediamonkey.com/wiki/index.php/WebHelp:Filelisting/5.0#Filtering_the_Filelisting

michal

2021-09-21 16:11

developer   ~0064778

Fixed in build 2504.

lowlander

2021-09-21 18:31

developer   ~0064786

Verified fixes on 2504. Some more,

4) When user selects Filter button, F1 should take user to https://www.mediamonkey.com/wiki/index.php/WebHelp:Filelisting/5.0#Filtering_the_Filelisting

5) When Filter is disabled from Breadcrumbs, F1 should take user to https://www.mediamonkey.com/wiki/index.php/WebHelp:Filelisting/5.0

6) Selecting a node, then change View/Panel settings from toolbar, F1 should take user to https://www.mediamonkey.com/wiki/index.php/WebHelp:Filelisting/5.0 (this likely should also happen when using the Main Menu to change these settings)

7) When closing Contextual Search, F1 should take user to https://www.mediamonkey.com/wiki/index.php/WebHelp:Filelisting/5.0

In both cases the Filelisting should be considered active.

michal

2021-09-22 11:41

developer   ~0064816

4) fixed
5) when last action is from breadcrumbs like in this case, used "Filelisting#Navigating_with_Breadcrumbs"
6) when last action is from toolbar, used Filelisting page. When Main Menu used, it is not clear what has focus, no change in this.
7) fixed by 6)
Generally, we display help for what has currently focus. So it could be problematic to display help __after__ closing something.

lowlander

2021-09-23 20:35

developer   ~0064849

6) I disagree here, when the Main Menu functions on something it should link to what it functioned on. In this case the function is on the Filelisting. If you did the same using the Toolbar it does take you to the Filelisting Help.

7) The same goes for Contextual Search as it operates on the Filelisting, the focus should return to the Filelisting on close. This one is less important though.

michal

2021-09-24 15:47

developer   ~0064864

Last edited: 2021-09-24 15:48

View 2 revisions

Fixed in build 2506. But this cannot have general solution, we cannot do anything like "now set focus to control, which last action acted on". We can only handle each situation and action one by one, so choose only what is really needed. Also each such fix can l;ead to regressions in focus handling elsewhere.